linux: 3.0.0-27.44 -proposed tracker

Bug #1067266 reported by Luis Henriques on 2012-10-16
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Luis Henriques
linux (Ubuntu)
Medium
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.0.0-27.44 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 16. October 2012 09:03 UTC
kernel-stable-Certification-testing-end:Tuesday, 16. October 2012 09:15 UTC
kernel-stable-Prepare-package-end:Thursday, 18. October 2012 17:18 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 18. October 2012 17:18 UTC
kernel-stable-Promote-to-proposed-end:Friday, 19. October 2012 23:45 UTC
kernel-stable-Verification-testing-start:Saturday, 20. October 2012 00:46 UTC
kernel-stable-Security-signoff-start:Wednesday, 07. November 2012 17:30 UTC
kernel-stable-Verification-testing-end:Wednesday, 07. November 2012 17:30 UTC
kernel-stable-Regression-testing-start:Wednesday, 07. November 2012 17:30 UTC
kernel-stable-Regression-testing-end:Saturday, 10. November 2012 04:45 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 14. November 2012 19:00 UTC
kernel-stable-Security-signoff-end:Wednesday, 14. November 2012 19:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 14. November 2012 20:30 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 14. November 2012 20:30 UTC

Luis Henriques (henrix) on 2012-10-16
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: oneiric
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-10-16
description: updated
Luis Henriques (henrix) on 2012-10-16
Changed in linux (Ubuntu):
status: In Progress → Invalid

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1068229

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-oneiric (lucid) - bug 1068230

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides mangled.

Brad Figg (brad-figg) on 2012-10-19
description: updated
Brad Figg (brad-figg) on 2012-10-20
description: updated
Luis Henriques (henrix) wrote :

Finally, moving into testing

Brad Figg (brad-figg) on 2012-11-07
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-11-10
description: updated
John Johansen (jjohansen) wrote :

No CVEs

Brad Figg (brad-figg) on 2012-11-14
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (12.1 KiB)

This bug was fixed in the package linux - 3.0.0-27.44

---------------
linux (3.0.0-27.44) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1067266

  [ James M Leddy ]

  * SAUCE: input: fix weird issue of synaptics psmouse sync lost after
    resume
    - LP: #717970

  [ Upstream Kernel Changes ]

  * UBUNTU SAUCE: apparmor: fix IRQ stack overflow
    - LP: #1056078
  * net_sched: gact: Fix potential panic in tcf_gact().
    - LP: #1060430
  * isdnloop: fix and simplify isdnloop_init()
    - LP: #1060430
  * net/core: Fix potential memory leak in dev_set_alias()
    - LP: #1060430
  * af_packet: remove BUG statement in tpacket_destruct_skb
    - LP: #1060430
  * ipv6: addrconf: Avoid calling netdevice notifiers with RCU read-side
    lock
    - LP: #1060430
  * atm: fix info leak in getsockopt(SO_ATMPVC)
    - LP: #1060430
  * atm: fix info leak via getsockname()
    - LP: #1060430
  * Bluetooth: HCI - Fix info leak in getsockopt(HCI_FILTER)
    - LP: #1060430
  * Bluetooth: HCI - Fix info leak via getsockname()
    - LP: #1060430
  * Bluetooth: RFCOMM - Fix info leak in ioctl(RFCOMMGETDEVLIST)
    - LP: #1060430
  * Bluetooth: RFCOMM - Fix info leak via getsockname()
    - LP: #1060430
  * Bluetooth: L2CAP - Fix info leak via getsockname()
    - LP: #1060430
  * llc: fix info leak via getsockname()
    - LP: #1060430
  * dccp: fix info leak via getsockopt(DCCP_SOCKOPT_CCID_TX_INFO)
    - LP: #1060430
  * ipvs: fix info leak in getsockopt(IP_VS_SO_GET_TIMEOUT)
    - LP: #1060430
  * net: fix info leak in compat dev_ifconf()
    - LP: #1060430
  * netlink: fix possible spoofing from non-root processes
    - LP: #1060430
  * l2tp: avoid to use synchronize_rcu in tunnel free function
    - LP: #1060430
  * net: ipv4: ipmr_expire_timer causes crash when removing net namespace
    - LP: #1060430
  * workqueue: reimplement work_on_cpu() using system_wq
    - LP: #1060430
  * cpufreq/powernow-k8: workqueue user shouldn't migrate the kworker to
    another CPU
    - LP: #1060430
  * cciss: fix handling of protocol error
    - LP: #1060430
  * vfs: make O_PATH file descriptors usable for 'fstat()'
    - LP: #1060430
  * vfs: dcache: use DCACHE_DENTRY_KILLED instead of DCACHE_DISCONNECTED in
    d_kill()
    - LP: #1060430
  * netconsole: remove a redundant netconsole_target_put()
    - LP: #1060430
  * target: Fix ->data_length re-assignment bug with SCSI overflow
    - LP: #1060430
  * ALSA: ice1724: Use linear scale for AK4396 volume control.
    - LP: #1060430
  * Staging: speakup: fix an improperly-declared variable.
    - LP: #1060430
  * staging: vt6656: [BUG] - Failed connection, incorrect endian.
    - LP: #1060430
  * staging: r8712u: fix bug in r8712_recv_indicatepkt()
    - LP: #1060430
  * staging: comedi: das08: Correct AO output for das08jr-16-ao
    - LP: #1060430
  * USB: option: replace ZTE K5006-Z entry with vendor class rule
    - LP: #1060430
  * perf_event: Switch to internal refcount, fix race with close()
    - LP: #1060430
  * mmc: mxs-mmc: fix deadlock in SDIO IRQ case
    - LP: #1060430
  * mmc: sdhci-esdhc: break out early if clock is 0
    - LP: #1060430
  * ahci: Add alternate ident...

Changed in linux (Ubuntu Oneiric):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers